cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params Struct Reference

The parameters.

`#include <linear_scaling.h>`

## Public Member Functions

template<typename GemmDesc_ >
CUTLASS_HOST_DEVICE int | initialize (GemmDesc_ const &desc)
| Initialize the parameters. More...

## Public Attributes

Scalar | alpha
| The alpha/beta scaling params. More...
Scalar | beta

## Member Function Documentation

## initialize()

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_>>
template<typename GemmDesc_ >

CUTLASS_HOST_DEVICE int cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::initialize | ( | GemmDesc_ const & | desc | ) |

inline

## Member Data Documentation

## alpha

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_>>

Scalar cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::alpha

## beta

template<typename Scalar_, typename FragmentMultiplyAdd_ = FragmentMultiplyAdd<Scalar_>>

Scalar cutlass::gemm::LinearScaling< Scalar_, FragmentMultiplyAdd_ >::Params::beta

The documentation for this struct was generated from the following file:

- linear_scaling.h